Catmandu::Fix::add_field(3pm)

NAME
Catmandu::Fix::add_field - add or change the value of a HASH key or ARRAY index

DESCRIPTION
Contrary to "set_field", this will create the intermediate structures if they are missing.

SYNOPSIS
   # Add a new field 'foo' with value 2
   add_field(foo, 2)

   # Change the value of 'foo' to 'bar 123'
   add_field(foo, 'bar 123')

   # Create a deeply nested key
   add_field(my.deep.nested.key, hi)

   # If the second argument is omitted the field has a null value
   add_field(foo)

SEE ALSO
Catmandu::Fix